<div class="account-details">
  <h2 class="title">
    {{ "MY_ACCOUNT.ACCOUNT.ACCOUNT_DETAILS.TITLE" | translate }}
  </h2>
  <ng-container *ngIf="project$ | async as project">
    <form class="form" [formGroup]="form">
      <mo-input
        [placeholder]="'MY_ACCOUNT.ACCOUNT.ACCOUNT_DETAILS.NAME' | translate"
        formControlName="name"
        [type]="INPUT_TYPE.TEXT"
      ></mo-input>
      <mo-input
        class="description"
        [placeholder]="
          'MY_ACCOUNT.ACCOUNT.ACCOUNT_DETAILS.DESCRIPTION' | translate
        "
        formControlName="description"
        [type]="INPUT_TYPE.TEXT"
      ></mo-input>
    </form>
    <div class="account-items">
      <account-details-item
        [title]="
          'MY_ACCOUNT.ACCOUNT.ACCOUNT_DETAILS.MO_MANAGE_FAMILY' | translate
        "
        [item]="ITEM_BY_PRODUCT_FAMILY[project?.family_name]"
      ></account-details-item>
      <account-details-item
        *ngIf="project?.includes_moscore"
        [title]="
          'MY_ACCOUNT.ACCOUNT.ACCOUNT_DETAILS.ADD_IN_MO_PRODUCTS' | translate
        "
        [item]="ITEM_BY_MO_PRODUCT[MO_PRODUCTS.MOSCORE]"
      ></account-details-item>

      <account-details-item
        [title]="'MY_ACCOUNT.ACCOUNT.ACCOUNT_DETAILS.COUNTRY' | translate"
      >
        <layout-country [countryCode]="project?.country"></layout-country>
      </account-details-item>

      <account-details-item
        [title]="'MY_ACCOUNT.ACCOUNT.ACCOUNT_DETAILS.CURRENCY' | translate"
      >
        <div class="name">$ {{ project?.currency_code }}</div>
      </account-details-item>

      <account-details-item
        [title]="
          'MY_ACCOUNT.ACCOUNT.ACCOUNT_DETAILS.TOP_LIMIT_TITLE' | translate
        "
      >
        <div class="container-item">
          <p class="description">
            {{
              "MY_ACCOUNT.ACCOUNT.ACCOUNT_DETAILS.TOP_LIMIT_DESCRIPTION"
                | translate
            }}
          </p>
          <div class="number">{{ project?.maximum_number_active_loans }}</div>
        </div>
      </account-details-item>
    </div>
  </ng-container>

  <ng-container *ngIf="isLoadingProject$ | async">
    <layout-skeleton
      *ngFor="let skeleton of skeletonAccountDetails"
      [skeleton]="skeleton"
    ></layout-skeleton>
    <div class="account-items">
      <layout-skeleton
        *ngFor="let skeleton of skeletonAccountDetailsItems"
        [skeleton]="skeleton"
      ></layout-skeleton>
    </div>
  </ng-container>
</div>
